Resource

Incoming Call Log

Parent log for each incoming call instance. Groups all escalation attempts together.

The Incoming Call Log Model

Properties

  • Name
    _id
    Type
    Object ID
    Description

    ID of this object

  • Name
    createdAt
    Type
    Date
    Description

    Date and Time when the object was created.

  • Name
    updatedAt
    Type
    Date
    Description

    Date and Time when the object was updated.

  • Name
    project
    Type
    Project
    Description

    Relation to Project Resource in which this object belongs

  • Name
    projectId
    Type
    Object IDRequired
    Description

    ID of your Project in which this object belongs

  • Name
    incomingCallPolicy
    Type
    Incoming Call Policy
    Description

    Relation to the Incoming Call Policy

  • Name
    incomingCallPolicyId
    Type
    Object IDRequired
    Description

    ID of the Incoming Call Policy

  • Name
    callerPhoneNumber
    Type
    Phone
    Description

    Incoming caller's phone number

  • Name
    routingPhoneNumber
    Type
    Phone
    Description

    The routing number that was called

  • Name
    callProviderCallId
    Type
    Text
    Description

    Call provider's call identifier

  • Name
    status
    Type
    TextRequired
    Description

    Current status of the incoming call

  • Name
    statusMessage
    Type
    Long Text
    Description

    Additional status information

  • Name
    callDurationInSeconds
    Type
    Number
    Description

    Total call duration in seconds

  • Name
    callCostInUSDCents
    Type
    Number
    Description

    Total cost for this call in USD cents

  • Name
    incomingCallCostInUSDCents
    Type
    Number
    Description

    Cost for incoming leg in USD cents

  • Name
    outgoingCallCostInUSDCents
    Type
    Number
    Description

    Cost for all forwarding attempts in USD cents

  • Name
    startedAt
    Type
    Date
    Description

    When the call started

  • Name
    endedAt
    Type
    Date
    Description

    When the call ended

  • Name
    answeredByUser
    Type
    User
    Description

    User who answered the call

  • Name
    answeredByUserId
    Type
    Object ID
    Description

    User ID who answered the call

  • Name
    currentEscalationRuleOrder
    Type
    Number
    Description

    The current escalation rule order being processed

  • Name
    repeatCount
    Type
    Number
    Description

    Number of times the policy has been repeated

GETorPOST/api/incoming-call-log/get-list

List

This endpoint allows you to retrieve a paginated list of all your Incoming Call Log. By default, a maximum of ten Incoming Call Log are shown per page.

Optional Query Params

  • limit
    number
    Number of objects to fetch. By default 10, you can increase this count up to 100
  • skip
    number
    Number of objects to skip. This can be useful in pagination

Optional Request Body

List Request

POST
/api/incoming-call-log/get-list?skip=0&limit=10
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "select": {
    "incomingCallPolicyId": true,
    "projectId": true,
    "status": true,
    "_id": true,
    "answeredByUser": true
  },
  "query": {
    "status": "Example status"
  },
  "sort": {
    "createdAt": -1
  }
}

Response

{
  "count": 10,
  "limit": 10,
  "skip": 0,
  "data": [
    {
      "_id": "37733f60-28fe-11f1-b591-3fdcef396aba",
      "incomingCallPolicyId": "550e8400-e29b-41d4-a716-446655440000",
      "projectId": "550e8400-e29b-41d4-a716-446655440000",
      "status": "Example status",
      "answeredByUser": "Example answered by user"
    },
    {
      "_id": "37733f61-28fe-11f1-b591-3fdcef396aba",
      "incomingCallPolicyId": "550e8400-e29b-41d4-a716-446655440000",
      "projectId": "550e8400-e29b-41d4-a716-446655440000",
      "status": "Example status",
      "answeredByUser": "Example answered by user"
    },
    {
      "_id": "37733f62-28fe-11f1-b591-3fdcef396aba",
      "incomingCallPolicyId": "550e8400-e29b-41d4-a716-446655440000",
      "projectId": "550e8400-e29b-41d4-a716-446655440000",
      "status": "Example status",
      "answeredByUser": "Example answered by user"
    }
  ]
}
GETorPOST/api/incoming-call-log/:id/get-item

Get item by ID

This endpoint allows you to retrieve Incoming Call Log by ID.

  • id
    text
    ID of the Object

Optional Request Body

Get Item Request

POST
/api/incoming-call-log/:id/get-item
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "select": {
    "incomingCallPolicyId": true,
    "projectId": true,
    "status": true,
    "_id": true,
    "answeredByUser": true
  }
}

Response

{
  "_id": "550e8400-e29b-41d4-a716-446655440000",
  "incomingCallPolicyId": "550e8400-e29b-41d4-a716-446655440000",
  "projectId": "550e8400-e29b-41d4-a716-446655440000",
  "status": "Example status",
  "answeredByUser": "Example answered by user"
}
POST/api/incoming-call-log/count

Count

This endpoint allows you to retrieve the count of all your Incoming Call Log.

Optional Request Body

Count Request

POST
/api/incoming-call-log/count
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "query": {
    "status": "Example status"
  }
}

Response

{
  "count": 107
}

Permissions

Your API Token needs permissions to create, update, read or delete this resource. If you do not have permissions to make a request a 4xx status will be sent as response.

Read Permissions

Required to read Incoming Call Log

  • Project Owner
  • Project Admin
  • Project Member
  • Read Incoming Call Log
  • Read All Project Resources

Create Permissions

Required to create Incoming Call Log

This resource cannot be created via the API

Update Permissions

Required to update Incoming Call Log

This resource cannot be updated via the API

Delete Permissions

Required to delete Incoming Call Log

This resource cannot be deleted via the API